Loading...
Searching...
No Matches
curvilinear.cpp File Reference
`#include "stroid/topology/curvilinear.h"`
`#include "stroid/topology/mapping.h"`
`#include <iostream>`
Include dependency graph for curvilinear.cpp:

## Namespaces

namespace | stroid
namespace | stroid::topology

## Functions

void | stroid::topology::PromoteToHighOrder (mfem::Mesh &mesh, const fourdst::config::Config< config::MeshConfig > &config)
| Promote a mesh to high-order by attaching an H1 nodal finite element space.
void | stroid::topology::ProjectMesh (mfem::Mesh &mesh, const fourdst::config::Config< config::MeshConfig > &config)
| Project high-order mesh nodes using the configured curvilinear mapping.